* [gentoo-commits] repo/gentoo:master commit in: app-emulation/hyperd/
@ 2016-11-06 17:34 Manuel Rüger
0 siblings, 0 replies; 3+ messages in thread
From: Manuel Rüger @ 2016-11-06 17:34 UTC (permalink / raw
To: gentoo-commits
commit: 7df911571b5260491947b1fd3bd8678ab9cc6c69
Author: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 6 17:16:04 2016 +0000
Commit: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Sun Nov 6 17:16:04 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7df91157
app-emulation/hyperd: Initial version
Package-Manager: portage-2.3.2
app-emulation/hyperd/Manifest | 1 +
app-emulation/hyperd/hyperd-0.7.0.ebuild | 50 ++++++++++++++++++++++++++++++++
app-emulation/hyperd/metadata.xml | 15 ++++++++++
3 files changed, 66 insertions(+)
diff --git a/app-emulation/hyperd/Manifest b/app-emulation/hyperd/Manifest
new file mode 100644
index 00000000..d642abe
--- /dev/null
+++ b/app-emulation/hyperd/Manifest
@@ -0,0 +1 @@
+DIST hyperd-0.7.0.tar.gz 10885921 SHA256 e79d4e6aebe01d2117e981050ecb88dd24f8a9e45e2fbe1a558bcd1ee5d90b88 SHA512 7fc731b393a6bdf173101ee0a6d0e5a3339c6bb6dc1595fbde5b36df5a674f22e95f599e704925532ca0ee5ca931ebdf9f14bba9ad20b62000aee48408adb73f WHIRLPOOL cf911afabcbd7ec9954ad571d12269cff85fb9a84de81a83b483a002707c6ca2e6e8c43540f08f24ae12ccc5eddddc4280e45d67c3a696cfdd2ee4301458aa3d
diff --git a/app-emulation/hyperd/hyperd-0.7.0.ebuild b/app-emulation/hyperd/hyperd-0.7.0.ebuild
new file mode 100644
index 00000000..bef9be9
--- /dev/null
+++ b/app-emulation/hyperd/hyperd-0.7.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+EGO_PN="github.com/hyperhq/hyperd"
+
+inherit autotools systemd golang-vcs-snapshot
+
+DESCRIPTION="Hypervisor-based Runtime for OCI"
+HOMEPAGE="https://github.com/hyperhq/hyperd"
+SRC_URI="https://github.com/hyperhq/hyperd/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="libvirt xen"
+
+RDEPEND="libvirt? ( >=app-emulation/libvirt-1.2.2 )
+ xen? ( app-emulation/xen )"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+ pushd src/${EGO_PN} || die
+ default
+ eautoreconf
+ popd
+}
+
+src_configure() {
+ local myeconfargs=( $(use_with libvirt)
+ $(use_with xen) )
+ pushd src/${EGO_PN} || die
+ econf "${myeconfargs[@]}"
+ popd
+}
+
+src_compile() {
+ GOPATH="${S}:$(get_golibdir_gopath)" emake -C src/${EGO_PN}
+}
+
+src_install() {
+ dodoc src/${EGO_PN}/README.md
+ dobin src/${EGO_PN}/hyperd
+ dobin src/${EGO_PN}/hyperctl
+ insinto /etc/hyper/
+ doins src/${EGO_PN}/package/dist/etc/hyper/config
+ systemd_dounit src/${EGO_PN}/package/dist/lib/systemd/system/hyperd.service
+}
diff --git a/app-emulation/hyperd/metadata.xml b/app-emulation/hyperd/metadata.xml
new file mode 100644
index 00000000..8880e01
--- /dev/null
+++ b/app-emulation/hyperd/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>mrueg@gentoo.org</email>
+ <name>Manuel Rüger</name>
+ </maintainer>
+ <use>
+ <flag name="libvirt">Enable support for KVM via libvirt</flag>
+ <flag name="xen">Enable support for the Xen Hypervisor</flag>
+ </use>
+ <upstream>
+ <remote-id type="github">hyperhq/hyperd</remote-id>
+ </upstream>
+</pkgmetadata>
^ permalink raw reply related [flat|nested] 3+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-emulation/hyperd/
@ 2016-11-08 20:32 Manuel Rüger
0 siblings, 0 replies; 3+ messages in thread
From: Manuel Rüger @ 2016-11-08 20:32 UTC (permalink / raw
To: gentoo-commits
commit: 134dd349fd4cc179545ba99e937a53705a43b1ce
Author: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 8 20:32:19 2016 +0000
Commit: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Tue Nov 8 20:32:19 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=134dd349
app-emulation/hyperd: Add misse dependency on lvm2
Gentoo-Bug: 599126
Package-Manager: portage-2.3.2
app-emulation/hyperd/{hyperd-0.7.0.ebuild => hyperd-0.7.0-r1.ebuild} | 3 ++-
1 file changed, 2 insertions(+), 1 deletion(-)
diff --git a/app-emulation/hyperd/hyperd-0.7.0.ebuild b/app-emulation/hyperd/hyperd-0.7.0-r1.ebuild
similarity index 97%
rename from app-emulation/hyperd/hyperd-0.7.0.ebuild
rename to app-emulation/hyperd/hyperd-0.7.0-r1.ebuild
index bef9be9..a5c0703 100644
--- a/app-emulation/hyperd/hyperd-0.7.0.ebuild
+++ b/app-emulation/hyperd/hyperd-0.7.0-r1.ebuild
@@ -19,7 +19,8 @@ IUSE="libvirt xen"
RDEPEND="libvirt? ( >=app-emulation/libvirt-1.2.2 )
xen? ( app-emulation/xen )"
-DEPEND="${RDEPEND}"
+DEPEND="${RDEPEND}
+ sys-fs/lvm2"
src_prepare() {
pushd src/${EGO_PN} || die
^ permalink raw reply related [flat|nested] 3+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-emulation/hyperd/
@ 2018-07-05 11:43 Manuel Rüger
0 siblings, 0 replies; 3+ messages in thread
From: Manuel Rüger @ 2018-07-05 11:43 UTC (permalink / raw
To: gentoo-commits
commit: a1a9e766bf9577852edbe6f44f4b1d3da9129a09
Author: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Thu Jul 5 11:41:30 2018 +0000
Commit: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Thu Jul 5 11:41:30 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a1a9e766
app-emulation/hyperd: Unmaintain
Package-Manager: Portage-2.3.41, Repoman-2.3.9
app-emulation/hyperd/metadata.xml | 5 +----
1 file changed, 1 insertion(+), 4 deletions(-)
diff --git a/app-emulation/hyperd/metadata.xml b/app-emulation/hyperd/metadata.xml
index 8880e0179c0..2babf919ffd 100644
--- a/app-emulation/hyperd/metadata.xml
+++ b/app-emulation/hyperd/metadata.xml
@@ -1,10 +1,7 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <maintainer type="person">
- <email>mrueg@gentoo.org</email>
- <name>Manuel Rüger</name>
- </maintainer>
+ <!-- maintainer-needed -->
<use>
<flag name="libvirt">Enable support for KVM via libvirt</flag>
<flag name="xen">Enable support for the Xen Hypervisor</flag>
^ permalink raw reply related [flat|nested] 3+ messages in thread
end of thread, other threads:[~2018-07-05 11:43 UTC | newest]
Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2018-07-05 11:43 [gentoo-commits] repo/gentoo:master commit in: app-emulation/hyperd/ Manuel Rüger
-- strict thread matches above, loose matches on Subject: below --
2016-11-08 20:32 Manuel Rüger
2016-11-06 17:34 Manuel Rüger
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox